Get an agent action status

Base URL
https://{kibana_url}
  • GET /api/fleet/agents/action_status
  • GET /s/{space_id}/api/fleet/agents/action_status
Auth

Get the current status of recent agent actions.

Required authorization

Privileges fleet-agents-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

page number · default: 0

Page number

perPage number · default: 20

Number of results per page

date string

Return actions created before this date

latest number

Return only the latest N actions

scheduledOnly boolean

Return only actions whose start_time is in the future

errorSize number · default: 5

Number of error details to include per action

Responses

Successful response

application/json
items object[] · max items: 10000 required
actionId string required
cancellationTime string
completionTime string
creationTime string required

creation time of action

expiration string
hasRolloutPeriod boolean
is_automatic boolean
latestErrors object[] · max items: 10
agentId string required
error string required
hostname string
timestamp string required
nbAgentsAck number required

number of agents that acknowledged the action

nbAgentsActionCreated number required

number of agents included in action from kibana

nbAgentsActioned number required

number of agents actioned

nbAgentsFailed number required

number of agents that failed to execute the action

newPolicyId string

new policy id (POLICY_REASSIGN action)

policyId string

policy id (POLICY_CHANGE action)

revision number

new policy revision (POLICY_CHANGE action)

startTime string

start time of action (scheduled actions)

status enum required
Values: COMPLETE EXPIRED CANCELLED FAILED IN_PROGRESS ROLLOUT_PASSED
type enum required
Values: UPGRADE UNENROLL SETTINGS POLICY_REASSIGN CANCEL FORCE_UNENROLL REQUEST_DIAGNOSTICS UPDATE_TAGS POLICY_CHANGE INPUT_ACTION MIGRATE PRIVILEGE_LEVEL_CHANGE ROLLBACK REMOVE_COLLECTOR RESTART
version string

agent version number (UPGRADE action)

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}